Issue installing a package using conda #4260

Open
jo-le opened this Issue Jan 10, 2017 · 1 comment

Projects

None yet

2 participants

@jo-le
jo-le commented Jan 10, 2017

Hey, I'm trying to install the following package using conda:

$>conda install -c conda-forge jpype1

Everything is going well. . .

  Fetching package metadata ...........
  Solving package specifications: ..........

  Package plan for installation in environment C:\Anaconda3:

  The following packages will be downloaded:

      package                    |            build
      ---------------------------|-----------------
      conda-env-2.6.0            |                0           1 KB  conda-forge
      conda-4.2.13               |           py34_0         437 KB  conda-forge
      jpype1-0.6.1               |      np111py34_0         188 KB  conda-forge
      ------------------------------------------------------------
                                             Total:         626 KB

  The following NEW packages will be INSTALLED:

      jpype1:    0.6.1-np111py34_0 conda-forge

  The following packages will be UPDATED:

      conda:     4.2.12-py34_0                 --> 4.2.13-py34_0 conda-forge

  The following packages will be SUPERCEDED by a higher-priority channel:

      conda-env: 2.6.0-0                       --> 2.6.0-0       conda-forge

  Proceed ([y]/n)? y

  Pruning fetched packages from the cache ...
  Fetching packages ...

untill. . .

  Could not connect to https://conda.anaconda.org/conda-forge/win-64/conda-env-2.6
  .0-0.tar.bz2
  An unexpected error has occurred.
  Please consider posting the following information to the
  conda GitHub issue tracker at:

      https://github.com/conda/conda/issues

So, here I am:

  Current conda install:

                 platform : win-64
            conda version : 4.2.12
         conda is private : False
        conda-env version : 4.2.12
      conda-build version : 1.8.2
           python version : 3.4.5.final.0
         requests version : 2.11.1
         root environment : C:\Anaconda3  (writable)
      default environment : C:\Anaconda3
         envs directories : C:\Anaconda3\envs
            package cache : C:\Anaconda3\pkgs
             channel URLs : https://repo.continuum.io/pkgs/free/win-64
                            https://repo.continuum.io/pkgs/free/noarch
                            https://repo.continuum.io/pkgs/pro/win-64
                            https://repo.continuum.io/pkgs/pro/noarch
                            https://repo.continuum.io/pkgs/msys2/win-64
                            https://repo.continuum.io/pkgs/msys2/noarch
              config file : C:\Users\jo-le\.condarc
             offline mode : False



  `$ C:\Anaconda3\Scripts\conda-script.py install -c conda-forge jpype1`




      Traceback (most recent call last):
        File "C:\Anaconda3\lib\site-packages\requests\packages\urllib3\connectionp
  ool.py", line 589, in urlopen
          self._prepare_proxy(conn)
        File "C:\Anaconda3\lib\site-packages\requests\packages\urllib3\connectionp
  ool.py", line 797, in _prepare_proxy
          conn.connect()
        File "C:\Anaconda3\lib\site-packages\requests\packages\urllib3\connection.
  py", line 289, in connect
          ssl_version=resolved_ssl_version)
        File "C:\Anaconda3\lib\site-packages\requests\packages\urllib3\util\ssl_.p
  y", line 308, in ssl_wrap_socket
          return context.wrap_socket(sock, server_hostname=server_hostname)
        File "C:\Anaconda3\lib\ssl.py", line 362, in wrap_socket
          _context=self)
        File "C:\Anaconda3\lib\ssl.py", line 580, in __init__
          self.do_handshake()
        File "C:\Anaconda3\lib\ssl.py", line 807, in do_handshake
          self._sslobj.do_handshake()
      ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_s
  sl.c:600)

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "C:\Anaconda3\lib\site-packages\requests\adapters.py", line 423, in s
  end
          timeout=timeout
        File "C:\Anaconda3\lib\site-packages\requests\packages\urllib3\connectionp
  ool.py", line 621, in urlopen
          raise SSLError(e)
      requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAIL
  ED] certificate verify failed (_ssl.c:600)

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "C:\Anaconda3\lib\site-packages\conda\fetch.py", line 404, in downloa
  d
          resp = session.get(url, stream=True, proxies=session.proxies, timeout=(3
  .05, 27))
        File "C:\Anaconda3\lib\site-packages\requests\sessions.py", line 488, in g
  et
          return self.request('GET', url, **kwargs)
        File "C:\Anaconda3\lib\site-packages\requests\sessions.py", line 475, in r
  equest
          resp = self.send(prep, **send_kwargs)
        File "C:\Anaconda3\lib\site-packages\requests\sessions.py", line 617, in s
  end
          history = [resp for resp in gen] if allow_redirects else []
        File "C:\Anaconda3\lib\site-packages\requests\sessions.py", line 617, in <
  listcomp>
          history = [resp for resp in gen] if allow_redirects else []
        File "C:\Anaconda3\lib\site-packages\requests\sessions.py", line 177, in r
  esolve_redirects
          **adapter_kwargs
        File "C:\Anaconda3\lib\site-packages\requests\sessions.py", line 596, in s
  end
          r = adapter.send(request, **kwargs)
        File "C:\Anaconda3\lib\site-packages\requests\adapters.py", line 497, in s
  end
          raise SSLError(e, request=request)
      requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate v
  erify failed (_ssl.c:600)

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "C:\Anaconda3\lib\site-packages\conda\cli\install.py", line 405, in i
  nstall
          execute_actions(actions, index, verbose=not context.quiet)
        File "C:\Anaconda3\lib\site-packages\conda\plan.py", line 643, in execute_
  actions
          inst.execute_instructions(plan, index, verbose)
        File "C:\Anaconda3\lib\site-packages\conda\instructions.py", line 134, in
  execute_instructions
          cmd(state, arg)
        File "C:\Anaconda3\lib\site-packages\conda\instructions.py", line 47, in F
  ETCH_CMD
          fetch_pkg(state['index'][arg + '.tar.bz2'])
        File "C:\Anaconda3\lib\site-packages\conda\fetch.py", line 363, in fetch_p
  kg
          download(url, path, session=session, md5=info['md5'], urlstxt=True)
        File "C:\Anaconda3\lib\site-packages\conda\fetch.py", line 415, in downloa
  d
          raise CondaRuntimeError(msg)
      conda.exceptions.CondaRuntimeError: Runtime error: Connection error: [SSL: C
  ERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600): https://conda.
  anaconda.org/conda-forge/win-64/conda-env-2.6.0-0.tar.bz2


      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "C:\Anaconda3\lib\site-packages\conda\exceptions.py", line 479, in co
  nda_exception_handler
          return_value = func(*args, **kwargs)
        File "C:\Anaconda3\lib\site-packages\conda\cli\main.py", line 145, in _mai
  n
          exit_code = args.func(args, p)
        File "C:\Anaconda3\lib\site-packages\conda\cli\main_install.py", line 80,
  in execute
          install(args, parser, 'install')
        File "C:\Anaconda3\lib\site-packages\conda\cli\install.py", line 420, in i
  nstall
          raise CondaRuntimeError('RuntimeError: %s' % e)
      conda.exceptions.CondaRuntimeError: Runtime error: RuntimeError: Runtime err
  or: Connection error: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed
  (_ssl.c:600): https://conda.anaconda.org/conda-forge/win-64/conda-env-2.6.0-0.t
  ar.bz2

This is not a problem usually specially given that conda update conda works. Any ideas?

@rth
rth commented Jan 14, 2017

@jo-le I wasn't able to reproduce this issue (I'm on linux though), and wget https://conda.anaconda.org/conda-forge/win-64/conda-env-2.6.0-0.tar.bz2 worked fine for me as well.
Maybe it was a temporary issue or could be better addressed it you move it to https://github.com/conda-forge/jpype1-feedstock ?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment